cURL
curl --request DELETE \
--url https://us.infisical.com/api/v1/workspace/{workspaceId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://us.infisical.com/api/v1/workspace/{workspaceId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://us.infisical.com/api/v1/workspace/{workspaceId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"workspace": {
"id": "<string>",
"name": "<string>",
"type": "<string>",
"slug": "<string>",
"orgId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"description": "<string>",
"defaultProduct": "<string>",
"autoCapitalization": false,
"version": 1,
"upgradeStatus": "<string>",
"pitVersionLimit": 10,
"kmsCertificateKeyId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"auditLogsRetentionDays": 123,
"hasDeleteProtection": false,
"secretSharing": true,
"showSnapshotsLegacy": false,
"secretDetectionIgnoreValues": [
"<string>"
],
"enforceEncryptedSecretManagerSecretMetadata": true
}
}{
"reqId": "<string>",
"statusCode": 400,
"message": "<string>",
"error": "<string>",
"details": "<unknown>"
}{
"reqId": "<string>",
"statusCode": 401,
"message": "<string>",
"error": "<string>"
}{
"reqId": "<string>",
"statusCode": 403,
"message": "<string>",
"error": "<string>",
"details": "<unknown>"
}{
"reqId": "<string>",
"statusCode": 404,
"message": "<string>",
"error": "<string>"
}{
"reqId": "<string>",
"statusCode": 422,
"error": "<string>",
"message": "<unknown>"
}{
"reqId": "<string>",
"statusCode": 500,
"message": "<string>",
"error": "<string>"
}Legacy
Delete Project
Delete project
DELETE
/
api
/
v1
/
workspace
/
{workspaceId}
cURL
This operation is irreversible. All data associated with the project will be deleted. Please use with caution.
Was this page helpful?
⌘I